OBUS-INTROSPECT(1)

NAME
obus-introspect - a D-Bus introspecter

SYNOPSIS
obus-intrpsoect [ options ] destination path

DESCRIPTION

obus-introspect allow you to introspect a D-Bus service. Given a path it can introspect recursively all its children. By default it prints only all the interfaces it found, but it can also prints all object path with the interfaces they implements.

OPTIONS

-rec
    Introspects recursively all sub-nodes instead of just the one of path path

-session
    The service is on the session bus (the default).

-system
    The service is on the system bus.

-objects
    List objects with interfaces they implements instead of interfaces.

-help or --help
    Display a short usage summary and exit.

AUTHOR
Jérémie Dimino <jeremie@dimino.org>

SEE ALSO
obus-dump(1), obus-binder(1).